/*
ID: espr1t
LANG: C++
TASK: Tetris
KEYWORDS: Testgen
*/

#include <cstdio>
#include <cstdlib>

int a[131072], n;

void sampleInput()
{
	n = 20;
	int figs[20] = {2, 7, 6, 4, 7, 3, 6, 6, 4, 6, 3, 4, 2, 1, 1, 1, 5, 7, 4, 2};
	for (int i = 0; i < n; i++)
		a[i] = figs[i];
}

void randomTest(int seed, int size)
{
	srand(seed);
	n = size;
	for (int i = 0; i < n; i++)
		a[i] = rand() % 7 + 1;
}

void printTest(int testNum)
{
	char fileName[32];
	sprintf(fileName, "Tetris.%02d.in", testNum);
	FILE* out = fopen(fileName, "wt");
	fprintf(out, "%d\n", n);
	for (int i = 0; i < n; i++)
		fprintf(out, "%d%c", a[i], i + 1 == n ? '\n' : ' ');
	fclose(out);
}

int main(void)
{
	int numTests = 10;
	int seeds[10] = {3, 7, 13, 17, 19, 23, 42, 666, 1337, 4242};
	int sizes[10] = {20, 50, 200, 500, 1000, 2000, 3000, 5000, 10000, 10000};

	for (int test = 0; test <= numTests; test++)
	{
		if (test == 0) sampleInput();
		else randomTest(seeds[test - 1], sizes[test - 1]);
		printTest(test);
	}
	fprintf(stderr, "Printed all tests successfully!\n");
	system("pause");
	return 0;
}
